<template>
  <div class="share_box">
    <div class="title">
      <span>应用地图</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div id="relationship"></div>
    </div>
  </div>
</template>

<script>
// import json from "../../../assets/json/JSON.json";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  //方法集合
  methods: {
    initChart() {
      let myChart = this.$echarts.init(document.getElementById("relationship"));
      var value1 = [
        {
          name: "生存认证\n系统",
          x: 100,
          y: 100,
          des: "生存认证系统",
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#8971e1",
              borderColor: "#8971e1",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#8971e1",
            },
          },
        },
        {
          name: "义务教育\n入学服务\n系统",
          des: "义务教育入学服务系统",
          x: 600,
          y: 300,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#228fe2",
              borderColor: "#228fe2",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#228fe2",
            },
          },
        },
        {
          name: "落户信息\n查询系统",
          des: "落户信息查询系统",
          x: 100,
          y: 500,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#73a95e",
              borderColor: "#73a95e",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#73a95e",
            },
          },
        },
        {
          name: "公证信息\n共享查询\n系统",
          des: "公证信息共享查询系统",
          x: 600,
          y: 700,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#f15d5d",
              borderColor: "#f15d5d",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#f15d5d",
            },
          },
        },
        {
          name: "从业人员\n继续教育\n报名系统",
          des: "从业人员继续教育报名系统",
          x: 1100,
          y: 700,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#D3959B",
              borderColor: "#D3959B",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#D3959B",
            },
          },
        },
        {
          name: "建设项目\n电子证照\n辅助审批\n系统",
          des: "建设项目电子证照辅助审批系统",
          symbolSize: 130,
          x: 1100,
          y: 300,
          itemStyle: {
            normal: {
              color: "#FFA500",
              borderColor: "#FFA500",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#FFA500",
            },
          },
        },
        {
          name: "纳税百强\n企业排名\n系统",
          des: "纳税百强企业排名系统",
          symbolSize: 130,
          x: 1600,
          y: 500,
          itemStyle: {
            normal: {
              color: "#C0C0C0",
              borderColor: "#C0C0C0",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#C0C0C0",
            },
          },
        },
        {
          name: "社保中心\n网上服务\n系统",
          des: "社保中心网上服务系统",
          x: 600,
          y: 100,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#FFB6C1",
              borderColor: "#FFB6C1",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#FFB6C1",
            },
          },
        },
        {
          name: "户外广告\n设置申报\n系统",
          des: "户外广告设置申报系统",
          x: 1100,
          y: 100,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#228fe2",
              borderColor: "#228fe2",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#228fe2",
            },
          },
        },
        {
          name: "增（存）量房\n缴税辅助\n办理系统",
          des: "增（存）量房缴税辅助办理系统",
          symbolSize: 130,
          x: 100,
          y: 300,
          itemStyle: {
            normal: {
              color: "#3aa490",
              borderColor: "#3aa490",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#3aa490",
            },
          },
        },
        {
          name: "土地利用\n效率分析\n系统",
          des: "土地利用效率分析系统",
          symbolSize: 130,
          x: 1100,
          y: 500,
          itemStyle: {
            normal: {
              color: "#ddd6f3",
              borderColor: "#ddd6f3",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#ddd6f3",
            },
          },
        },
        {
          name: "行业情况\n问卷调查\n系统",
          des: "行业情况问卷调查系统",
          symbolSize: 130,
          x: 100,
          y: 700,
          itemStyle: {
            normal: {
              color: "#DBD5A4",
              borderColor: "#DBD5A4",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#DBD5A4",
            },
          },
        },
        {
          name: "区域经济\n指标分析\n系统",
          des: "区域经济指标分析系统",
          symbolSize: 130,
          x: 1600,
          y: 100,
          itemStyle: {
            normal: {
              color: "#3a7bd5",
              borderColor: "#3a7bd5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#3a7bd5",
            },
          },
        },
        {
          name: "公共场所\n卫生许可\n证",
          des: "公共场所卫生许可证",
          symbolSize: 130,
          x: 1600,
          y: 300,
          itemStyle: {
            normal: {
              color: "#B993D6",
              borderColor: "#B993D6",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#B993D6",
            },
          },
        },
        {
          name: "道路运输\n经营许可\n证",
          des: "道路运输经营许可证",
          x: 600,
          y: 500,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#BB377D",
              borderColor: "#BB377D",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#BB377D",
            },
          },
        },
        {
          name: "火化信息",
          des: "火化信息",
          symbolSize: 100,
          x: 300,
          y: 30,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "注销户口\n信息",
          des: "注销户口信息",
          symbolSize: 100,
          x: 300,
          y: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "死因监测\n信息",
          des: "死因监测信息",
          x: 300,
          y: 170,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "判刑人员\n信息",
          des: "判刑人员信息",
          x: 300,
          y: 240,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "保险待遇\n发放信息",
          des: "保险待遇发放信息",
          symbolSize: 100,
          x: 300,
          y: 310,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "户籍信息",
          des: "户籍信息",
          symbolSize: 100,
          x: 300,
          y: 380,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "居住证\n信息",
          des: "居住证信息",
          symbolSize: 100,
          x: 300,
          y: 450,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "不动产\n登记信息",
          des: "不动产登记信息",
          symbolSize: 100,
          x: 300,
          y: 520,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "房屋合同\n备案信息",
          des: "房屋合同备案信息",
          symbolSize: 100,
          x: 300,
          y: 590,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "社保信息",
          des: "社保信息",
          symbolSize: 100,
          x: 300,
          y: 660,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "工商营业\n执照信息",
          des: "工商营业执照信息",
          x: 300,
          y: 730,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "企业注册\n信息",
          des: "企业注册\n信息",
          symbolSize: 100,
          x: 800,
          y: 30,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "出生医学\n证明信息",
          des: "出生医学\n证明信息",
          x: 800,
          y: 100,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "接种信息",
          des: "接种信息",
          symbolSize: 100,
          x: 800,
          y: 170,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "婚姻信息",
          des: "婚姻信息",
          symbolSize: 100,
          x: 800,
          y: 240,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "车辆信息",
          des: "车辆信息",
          symbolSize: 100,
          x: 800,
          y: 310,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "股权信息",
          des: "股权信息",
          symbolSize: 100,
          x: 800,
          y: 380,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "身份证\n信息",
          des: "身份证信息",
          symbolSize: 100,
          x: 800,
          y: 450,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "驾驶证\n信息",
          des: "驾驶证信息",
          symbolSize: 100,
          x: 800,
          y: 520,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "资格上岗\n证信息",
          des: "资格上岗证信息",
          symbolSize: 100,
          x: 800,
          y: 590,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "环评批复\n信息",
          des: "环评批复信息",
          symbolSize: 100,
          x: 800,
          y: 660,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "建设用地\n规划许可\n证",
          des: "建设用地规划许可证",
          symbolSize: 100,
          x: 800,
          y: 730,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "建设工程\n规划许可\n证",
          des: "建设工程规划许可证",
          symbolSize: 100,
          x: 1300,
          y: 30,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "施工许可\n证",
          des: "施工许可证",
          symbolSize: 100,
          x: 1300,
          y: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "竣工验收\n备案信息",
          des: "竣工验收备案信息",
          symbolSize: 100,
          x: 1300,
          y: 170,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "立项许可\n信息",
          des: "立项许可信息",
          symbolSize: 100,
          x: 1300,
          y: 240,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "企业纳税\n信息",
          des: "企业纳税信息",
          symbolSize: 100,
          x: 1300,
          y: 310,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "企业信息",
          des: "企业信息",
          symbolSize: 100,
          x: 1300,
          y: 380,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "经济指标\n信息",
          des: "经济指标信息",
          symbolSize: 100,
          x: 1300,
          y: 450,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
      ];
      // 绘制图表
      myChart.setOption({
        tooltip: {
          formatter: function (x) {
            return x.data.name;
          },
        },
        series: [
          {
            type: "graph",
            // layout: "none",
            layout: "force",
            top: "20%",
            symbolSize: 500,
            roam: true,
            focusNodeAdjacency: false,
            edgeSymbol: ["arrow"],
            edgeSymbolSize: [10],

            force: {
              repulsion: 950,
              edgeLength: 180,
              layoutAnimation: true,
            },
            draggable: true,
            itemStyle: {
              normal: {
                color: "#4b565b",
              },
            },
            lineStyle: {
              normal: {
                width: 5,
                color: "#4b565b",
              },
            },
            edgeLabel: {
              normal: {
                show: true,
                textStyle: {
                  fontSize: 50,
                },
                formatter: function (x) {
                  return x.data.name;
                },
              },
            },
            label: {
              normal: {
                show: true,
                textStyle: {
                  fontSize: 28,
                },
              },
            },
            data: value1,
            links: [
              {
                source: "生存认证\n系统",
                target: "火化信息",
                name: "",
                des: "",
              },
              {
                source: "生存认证\n系统",
                target: "注销户口\n信息",
                name: "",
                des: "",
              },
              {
                source: "生存认证\n系统",
                target: "死因监测\n信息",
                name: "",
              },
              {
                source: "生存认证\n系统",
                target: "判刑人员\n信息",
                name: "",
              },
              {
                source: "生存认证\n系统",
                target: "保险待遇\n发放信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "户籍信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "居住证\n信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "社保信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "工商营业\n执照信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "企业注册\n信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "出生医学\n证明信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "接种信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "婚姻信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "社保信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "火化信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "婚姻信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "户籍信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "车辆信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "股权信息",
                name: "",
              },
              {
                source: "从业人员\n继续教育\n报名系统",
                target: "身份证\n信息",
                name: "",
              },
              {
                source: "从业人员\n继续教育\n报名系统",
                target: "驾驶证\n信息",
                name: "",
              },
              {
                source: "从业人员\n继续教育\n报名系统",
                target: "资格上岗\n证信息",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "环评批复\n信息",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "建设用地\n规划许可\n证",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "建设工程\n规划许可\n证",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "施工许可\n证",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "竣工验收\n备案信息",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "立项许可\n信息",
                name: "",
              },
              {
                source: "纳税百强\n企业排名\n系统",
                target: "企业纳税\n信息",
                name: "",
              },
              {
                source: "社保中心\n网上服务\n系统",
                target: "户籍信息",
                name: "",
              },
              {
                source: "社保中心\n网上服务\n系统",
                target: "身份证\n信息",
                name: "",
              },
              {
                source: "社保中心\n网上服务\n系统",
                target: "火化信息",
                name: "",
              },
              {
                source: "增（存）量房\n缴税辅助\n办理系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "增（存）量房\n缴税辅助\n办理系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "土地利用\n效率分析\n系统",
                target: "企业纳税\n信息",
                name: "",
              },
              {
                source: "土地利用\n效率分析\n系统",
                target: "企业信息",
                name: "",
              },
              {
                source: "区域经济\n指标分析\n系统",
                target: "经济指标\n信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "身份证\n信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "车辆信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "驾驶证\n信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "工商营业\n执照信息",
                name: "",
              },
            ],
          },
        ],
      });
    },
  },
  mounted() {
    this.initChart();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.share_box {
  overflow: hidden;
  width: 100%;
  height: 100%;
  // background-color: #bfa;
  box-sizing: border-box;

  .title {
    width: 100%;
    position: relative;
    text-align: center;
    img {
      width: 2100px;
    }
    span {
      font-size: 75px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    height: 100%;
    #relationship {
      width: 100%;
      height: 95%;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .share_box {
    height: auto;
    overflow: visible;
    .content_share {
      .share {
        width: calc(498px * 2);
        height: calc(508px * 2);
        p {
          font-size: calc(32px * 2);
          bottom: calc(-60px * 2);
        }
      }
      .share2 {
        width: calc(400px * 2);
        height: calc(250px * 2);
      }
      .share3 {
        width: calc(498px * 2);
        height: calc(508px * 2);
        p {
          font-size: calc(32px * 2);
          bottom: calc(-60px * 2);
        }
      }
    }
  }
}
</style>
